using Decimation.Content;
using Microsoft.Xna.Framework;
using Terraria;

namespace Decimation.Lib.Amulets.Synergy
{
    public class AmuletSynergyAdapter : IAmuletsSynergy
    {
        public virtual void OnHitNPC(DecimationPlayer modPlayer, NPC target, Item weapon, ref int damages, ref bool crit)
        {
        }

        public virtual void OnHitPlayer(DecimationPlayer modPlayer, Player target, Item weapon, ref int damages,
            ref bool crit)
        {
        }

        public virtual void OnPlayerHit(DecimationPlayer modPlayer, ref int damages)
        {
        }

        public virtual void OnShoot(DecimationPlayer modPlayer, Item item, ref Vector2 position, ref float speedX,
            ref float speedY,
            ref int projectileType, ref int damages, ref float knockBack)
        {
        }

        public virtual void Update(DecimationPlayer modPlayer)
        {
        }
    }
}